1. sangjahat's Avatar
    im using iPhone 1.1.4 (jailbroken) and planning to install the latest iTunes. will it work with my phone or shall i just maintain the older version? i read somewhere that if i were to use v8 on my 1.1.4 it wont be able to back up my phone..

    appriciate your feedback on this. thanks!
    09-23-2008 11:44 PM
  2. Jeremy's Avatar
    Why have you not updated past 1.4? Update to 2.1 and enjoy a much better iPhone...
    09-25-2008 10:05 AM
LINK TO POST COPIED TO CLIPBOARD